Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.recovery
Class RecoveryManager

    java.lang.Object
      org.exist.storage.recovery.RecoveryManager

public class RecoveryManager
extends java.lang.Object

Database recovery. This class is used once during startup to check if the database is in a consistent state. If not, the class attempts to recover the database from the journalling log.

Author:
  wolf

Constructor Summary
`RecoveryManager(DBBroker broker, Journal log)`

Method Summary
`boolean` | `recover()` Checks if the database is in a consistent state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecoveryManager

    public RecoveryManager(DBBroker broker,
                           Journal log)

Method Detail

### recover

    public boolean recover()
                    throws LogException

  Checks if the database is in a consistent state. If not, start a recovery run. The method scans the last log file and tries to find the last checkpoint record. If the checkpoint record is the last record in the file, the database was closed cleanly and is in a consistent state. If not, a recovery run is started beginning at the last checkpoint found.

  Throws:
    `LogException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.